Package org.apache.commons.jxpath.ri.axes

# Class UnionContext

java.lang.Object
org.apache.commons.jxpath.ri.EvalContext
org.apache.commons.jxpath.ri.axes.NodeSetContext
org.apache.commons.jxpath.ri.axes.UnionContext

All Implemented Interfaces:
  `Iterator`, `ExpressionContext`

public class UnionContext extends NodeSetContext
EvalContext that represents a union between other contexts - result of a union operation like (a | b)

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.EvalContext

  `parentContext, position, rootContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnionContext(EvalContext parentContext, EvalContext[] contexts)`
  Constructs a new UnionContext.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDocumentOrder()`
  Determines the document order for this context.
  `boolean`
  `setPosition(int position)`
  Moves the current position to the specified index.

  ### Methods inherited from class org.apache.commons.jxpath.ri.axes.NodeSetContext

  `getCurrentNodePointer, getNodeSet, nextNode, nextSet`

  ### Methods inherited from class org.apache.commons.jxpath.ri.EvalContext

  `getContextNodeList, getContextNodePointer, getCurrentPosition, getJXPathContext, getPosition, getRootContext, getSingleNodePointer, getValue, hasNext, isChildOrderingRequired, next, remove, reset, sortPointers, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### UnionContext

    public UnionContext(EvalContext parentContext, EvalContext[] contexts)
    Constructs a new UnionContext.
    Parameters:
      `parentContext` - parent context
      `contexts` - child contexts

- ## Method Details

  - ### getDocumentOrder

    public int getDocumentOrder()
    Description copied from class: `EvalContext`
    Determines the document order for this context.
    Overrides:
      `getDocumentOrder` in class `EvalContext`
    Returns:
      1 ascending order, -1 descending order, 0 - does not require ordering

  - ### setPosition

    public boolean setPosition(int position)
    Description copied from class: `EvalContext`
    Moves the current position to the specified index. Used with integer predicates to quickly get to the n'th element of the node set. Returns false if the position is out of the node set range. You can call it with 0 as the position argument to restart the iteration.
    Overrides:
      `setPosition` in class `NodeSetContext`
    Parameters:
      `position` - to set
    Returns:
      boolean